[SM-Grimoire-Bugs] [Bug 13408] ncurses 5.6 update problem

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Sun Jan 14 04:31:32 EST 2007


http://bugs.sourcemage.org/show_bug.cgi?id=13408





------- Additional Comments From seth at swoolley.homeip.net  2007-01-14 03:31 -------
the ncurses install process does the upgrade incrementally:

backs up libs to staging area
ldconfigs the staging area in
installs new libs to staging area
installs libs to install root "make install.libs"
ldconfigs the new libs in
finishes install with "make install" (mostly to avoid a 5.4 -> 5.5 tic install bug)

the problem is that 5.6 doesn't just do install from install, it relinks the
libraries for some unknown reason (I haven't looked into it yet).

the error is during the "make install" portion, which makes sense -- the library
backups have been ldconfig'd out so the new libraries are in.  We want this to
have tic (which is from the new version) use the new libraries to avoid the
above mentioned bug.  But a side-effect now is that since 5.6 is relinking the
libraries, it now overwrites the libraries non-atomically somehow.

/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../../i686-pc-linux-gnu/bin/ld: data
size -934378204

and it's doing wierd things like that that I don't think are related.

But back to my point.  The error should be totally avoidable if right before we
run make install (the full one not the install.libs one), we sed the makefile to
not reinstall the library -- the library is already installed during make
DESTDIR="$INSTALL_ROOT" install.libs, (which is shown in the failed compile logs
as well).

The sed call has to be placed somewhere between those make calls, but I'm pretty
sure this should do it.

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.



More information about the SM-Grimoire-Bugs mailing list